<DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html lang="es">
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "formacion");

/* Comprobación de la conexión */
if ($connect) {
    echo "Fallo en la conexión: ".mysqli_connect_error();
    exit();
}

?>
<head>
	<title>Ejercicio formación</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-85" />
	
</head>

<body>

<h2>Rececpción de los datos del becario a insertar</h2><br />

nombre: <?php echo $_POST['nombre'];?><br /><br />
apellidos: <?php echo $_POST['apellidos'];?><br /><br />
nacionalidad: <?php echo $_POST['nacionalidad'];?><br /><br />
tipo de la formación: <?php echo $_POST['tipo_formacion'];?><br /><br />
<?php
$consulta = "INSERT INTO becario (Nombre, Apellidos, Id_nacionalidad, Id_tipo_formacion) VALUES ('".htmlentities(addslashes($_POST['nombre']))."','".htmlentities(addslashes($_POST['apellidos']))."',".$_POST['nacionalidad'].",".$_POST['tipo_formacion'].")";
$resultado = mysqli_query($connect,$consulta);
$identificador=mysqli_insert_id($connect);

if (isset($_POST['formador'])) {?>
	formadores por fecha:<?php print_r($_POST['formador']);?><br />
<?php	
	fecha_default_timezone_set('Europe/Paris');

	foreach ($_POST['formador'] as $valor) {
		$dt_inicio = fecha_create_from_format('d/m/Y', $_POST['inicio'.$valor]);
		$dt_fin = fecha_create_from_format('d/m/Y', $_POST['fin'.$valor]);
		$consulta = "INSERT INTO becario_formador (Id_becario, Id_formador, Fecha_inicio, Fecha_fin) VALUES (".$identificador.",".$valor.",'".$dt_inicio->format('Y/m/de)."','".$dt_fin->format('Y/m/de)."')";
		$resultado = mysqli_query($connect,$consulta);
	}
}
/* Cierre de la conexión */
mysqli_close($connect);

?>
<br />
Nuevo becario añadido
<br /><br />
<a href="formation.php">Retorno sobre la adición de un becario</a>
</body>
</html>